ServerEvents.recipes((event) => {
  // =========================================
  // Alexs Caves
  // =========================================

  // Acid
  event.recipes.create
    .mixing(Fluid.of("alexscaves:acid", 1000), [
      Fluid.of("minecraft:water", 1000),
      "#forge:dusts/sulfur",
    ])
    .heated()
    .id("create_oppenheimered:mixing/sulfuric_acid");

  // Depth Glass
  event
    .shaped("16x alexscaves:depth_glass", [
      "ABA", 
      "BBB", 
      "ABA"
    ], 
    {
      A: "seadwellers:depth_ingot",
      B: "alexscaves:sea_glass_shards",
    })
    .id("alexscaves:depth_glass");

  // =========================================
  // Galena Recipes (Used For Portal To Magnetic Caves)
  // =========================================

  // Galena
  event.recipes.create
    .mixing("alexscaves:galena", [
      Fluid.of("minecraft:lava", 250),
      "#forge:nuggets/lead",
      "minecraft:stone",
    ])
    .id("create_oppenheimered:compacting/galena");
  event.recipes.create.compacting(
    ["8x alexscaves:energized_galena_neutral"],
    ["8x alexscaves:packed_galena", "thermal:lightning_charge"]
  );

  // =========================================
  // Alex's Caves Pearls from Mussels
  // =========================================

  event.recipes.farmersdelight.cutting(
    "alexscaves:mussel",
    "#farmersdelight:tools/knives", // tool
    [
      // results
      "crabbersdelight:raw_clam_meat",
      Item.of("alexscaves:pearl").withChance(0.33),
    ]
    // "" // sound
  );

  // Lantern Fish Barrels
  event
    .shaped("crabbersdelight:lanternfish_barrel", [
      "AAA", 
      "AAA", 
      "AAA"
    ], 
    {
      A: "alexscaves:lanternfish",
    })
    .id("crabbersdelight:lanternfish_barrel");
});
